package chat;

import java.util.*;

/**
 * Holds all of the information needed to notify a listener of what changed in
 * a tree.
 *
 * @author Chien-Liang Fok
 * @version 1/2/2002
 */
public class TreeChangeResults {
	private Vector path = new Vector();
	private Vector indices = new Vector();
	private Vector nodes = new Vector();
	private boolean finalize = false;
		
	public TreeChangeResults() {
	}

	public synchronized void finalize() {
		finalize = true;
	}

	public synchronized void addToPath(Object o) {
		if (!finalize)
			path.add(o);
	}

	public synchronized void addNode(int index, Object node) {
		if (!finalize) {
			indices.add(new Integer(index));
			nodes.add(node);
		}
	}

	public synchronized Object[] getPath() {
		return path.toArray();
	}

	public synchronized int[] getIndices() {
		int[] result = new int[indices.size()];
		for (int i = 0; i < indices.size(); i++) {
			result[i] = ((Integer)indices.get(i)).intValue();
		}
		return result;
	}

	public synchronized Object[] getNodes() {
		return nodes.toArray();
	}
}

	
