package chat;

/**
 * This class implements a tree leaf in my application.
 *
 * @author Chien-Liang Fok
 * @version 1/2/2002
 */
public class TreeLeaf implements java.io.Serializable {
	private UserInfo info;
	
	/**
	 * Creates a tree leaf of a particular name and category.  This constructor 
	 * is used to create leaves for chat rooms.
	 *
	 * @param name the name of the leaf
	 * @param the category of the leaf
	 */
	public TreeLeaf(UserInfo info){
		this.info = info;	
	}
		
	/**
	 * Returns the agentID of the person represented by this class
	 *
	 * @return the agentID of the person represented by this class
	 */
	public UserInfo getUserInfo(){
		return info;
	}

	/**
	  * Set's the user info for this leaf.
	  */
	public void setUserInfo(UserInfo info) {
		this.info = info;
	}
	
	/**
	 * Determines if this leaf is equal to another object.  It is equal
	 * if the object is of type TreeLeaf and userInfos are equal.
	 */
	public boolean equals(Object o){
		if (o instanceof TreeLeaf){
			TreeLeaf leaf = (TreeLeaf)o;
			return leaf.getUserInfo().equals(info);			
		} 
		if (o instanceof UserInfo) {
			UserInfo info = (UserInfo)o;
			return this.info.equals(info);
		}
		return false;
	}
	
	/**
	 * Returns the string representation of this class.
	 *
	 * @return the string representation of this class
	 */
	public String toString(){
		return info.getName();
	}
}
