package chat;

import limone.*;

/**
 * Encapsulates an AgentID.
 *
 * @author Chien-Liang Fok
 * @version 5/13/2003
 */
public class UserInfo implements java.io.Serializable {
	
	AgentID aID;
	
	/**
	 * Create a userInfo with the given LimeServerID.
	 */
	public UserInfo(AgentID aID) {
		this.aID = aID;
	}
	
	/**
	 * Determines if another object is equal to this one.  Another
	 * object is equal to this one if the other object is of type
	 * UserInfo and has the same LimeServerID.
	 */
	public boolean equals(Object o) {
		if (o instanceof UserInfo) {
			UserInfo ui = (UserInfo)o;
			return ui.aID.equals(aID);
		}
		else
			return false;
	}
	
	/**
	 * Returns the name of the user.  If we do not yet know
	 * the name of the user, then we shall return the toString
	 * of the user's LimeServerID.
	 */
	public String getName() {
		return aID.getName();
	}
	
	public String toString() {
		return getName();
	}
}
