package chat;

import limone.*;
import eBeacon.*;

/**
  * A property used by the instant messaging program.
  *
  * @author Chien-Liang Fok
  */
public class UserProperty extends eBeacon.Property {   

    public UserProperty(String dmn) {
        super("domain", dmn);
    }
    
    public String getDomain() {
        return (String)getValue();
    }
    
    public boolean covers(Property p) {
        log("Covered within UserProperty Called");
        
        if (p instanceof UserProperty) {
            UserProperty up = (UserProperty)p;
            return getDomain().equals(up.getDomain());
        }
        return false;
    }

    private void log(String msg) {
        //System.out.println("UserProperty: " + msg);
    }
}
